## dspdfviewer 1.13.1

=== CMakeLists.txt ===
# /*
#     dspdfviewer - Dual Screen PDF Viewer for LaTeX-Beamer
#     Copyright (C) 2012  Danny Edel <mail@danny-edel.de>
#
#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.
#
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License along
#     with this program; if not, write to the Free Software Foundation, Inc.,
#     51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
# */

project(dspdfviewer)
cmake_minimum_required(VERSION 2.6)
find_package(Qt4 REQUIRED)
find_package(Boost COMPONENTS program_options REQUIRED)
find_library(POPPLER_LIBRARY poppler-qt4)
set(CMAKE_EXPORT_COMPILE_COMMANDS "on")

include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})
include_directories(${Boost_INCLUDE_DIR})

# Use c++11 support.
# found on
# http://stackoverflow.com/questions/10984442/how-to-detect-c11-support-of-a-compiler-with-cmake
if(CMAKE_COMPILER_IS_GNUCXX)
	execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
	if (GCC_VERSION VERSION_GREATER 4.7 OR GCC_VERSION VERSION_EQUAL 4.7)
		message(STATUS "C++11 activated.")
		add_definitions("-std=c++11")
	elseif(GCC_VERSION VERSION_GREATER 4.3 OR GCC_VERSION VERSION_EQUAL 4.3)
		message(WARNING "C++0x activated. If you get any errors update to a compiler which fully supports C++11")
		add_definitions("-std=c++0x")
	else ()
		message(FATAL_ERROR "C++11 needed. Therefore a gcc compiler with a version higher than 4.3 is needed.")
	endif()
else()
	# No GCC Compiler
	message(WARNING "You dont have a GNU compiler. I'll activate -std=c++11 in the hope it does exactly that.")
	add_definitions(-std=c++11)
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
	#add some warnings
	add_definitions(-Wall -Wextra -pedantic -Werror -Wfatal-errors -Wold-style-cast -Woverloaded-virtual)
	#I like these for my code, but Qt doesnt compile with them
	# add_definitions( -Weffc++ )
	add_definitions(-Wno-effc++)
else()
	message(WARNING "Compiling with a Non-GNU compiler. A lot less warnings will be output, so more coding errors might go undetected.")
endif()

if( "${CMAKE_BUILD_TYPE}" MATCHES "^Debug$" )
  # do nothing
else()
  add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()

### Version-number inclusion logic.

# Rationale: dspdfviewer --version should print something meaningful
# Especially on builds from git, it should include the git revision.

if( DSPDFVIEWER_VERSION )
  # Not-Empty version given on the command line. This has absolute priority.
  message(STATUS "Embedding the version number ${DSPDFVIEWER_VERSION} specified on the command line.")
endif()

if( NOT DSPDFVIEWER_VERSION AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/.git" )
	# We don't have a version number yet, but
	# this looks like a checkout from git.
	# Ask "git describe" for a version number.
	message(STATUS "Building from a git clone, using git describe for a version number.")
	execute_process(COMMAND git describe
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
		OUTPUT_VARIABLE GIT_DESCRIBE_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)
	# Check if it gave something back
	if( NOT "${GIT_DESCRIBE_VERSION}" MATCHES "^$" )
		message(STATUS "Embedding version number ${GIT_DESCRIBE_VERSION} as defined by git-describe.")
		set(DSPDFVIEWER_VERSION ${GIT_DESCRIBE_VERSION})
	endif()
endif()

# Debian specific: Use dpkg-parsechangelog
if( NOT DSPDFVIEWER_VERSION AND DEFINED ENV{DEBIAN_PACKAGE_VERSION})
	# This is useful if jenkins or launchpad compile the package.
	set(DSPDFVIEWER_VERSION $ENV{DEBIAN_PACKAGE_VERSION})
	message( STATUS "Embedding version number ${DSPDFVIEWER_VERSION} as provided by the debian build system.")
endif()

if( NOT DSPDFVIEWER_VERSION )
	# We still don't know version number to embed.
	# Use default

	# TODO: Keep me updated!
	set(DSPDFVIEWER_VERSION "1.13.1")
	message(STATUS "Embedding version number ${DSPDFVIEWER_VERSION}. If you want to override this, "
		"for example to embed the git revision you built from, please pass "
		"-DDSPDFVIEWER_VERSION=1.2.3.4.5 to the cmake command.")
endif()

if( NOT "${DSPDFVIEWER_VERSION}" MATCHES "^$" )
  add_definitions(-DDSPDFVIEWER_VERSION="${DSPDFVIEWER_VERSION}")
endif()


set(dspdfviewer_SRCS adjustedlink.cpp hyperlinkarea.cpp pdfpagereference.cpp pdfdocumentreference.cpp runtimeconfiguration.cpp renderutils.cpp renderthread.cpp renderingidentifier.cpp pagepart.cpp renderedpage.cpp pdfrenderfactory.cpp pdfviewerwindow.cpp dspdfviewer.cpp main.cpp)

qt4_wrap_ui(dspdfviewer_UIS_H pdfviewerwindow.ui)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
qt4_automoc(${dspdfviewer_SRCS} )
add_executable(dspdfviewer ${dspdfviewer_SRCS} ${dspdfviewer_UIS_H})
target_link_libraries(dspdfviewer ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${Boost_LIBRARIES} ${POPPLER_LIBRARY})

install(TARGETS	dspdfviewer
	RUNTIME DESTINATION bin)

install(FILES docs/dspdfviewer.1
	DESTINATION share/man/man1)

install(FILES dspdfviewer.desktop
	DESTINATION share/applications)

=== debian/changelog ===
dspdfviewer (1.13.1-1) unstable; urgency=medium

  * Initial release (Closes: #794319)

 -- Danny Edel <mail@danny-edel.de>  Thu, 06 Aug 2015 13:52:02 +0200

=== debian/control ===
Source: dspdfviewer
Section: text
Priority: optional
Maintainer: Danny Edel <mail@danny-edel.de>
Build-Depends: cmake,
               debhelper (>= 9.20120417),
               libboost-program-options-dev,
               libpoppler-qt4-dev
Standards-Version: 3.9.6
Vcs-Git: git://github.com/dannyedel/dspdfviewer.git
Vcs-Browser: https://github.com/dannyedel/dspdfviewer
Homepage: http://dspdfviewer.danny-edel.de

Package: dspdfviewer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: latex-beamer
Description: Dual-Screen PDF Viewer for LaTeX-beamer
 This is a specialized PDF Viewing application custom-made for
 the LaTeX class beamer, specifically the
 "show notes on second screen=right" option.
 .
 To make use of this program, you will need a document created
 by latex-beamer, and you will need two monitors connected to
 your computer.
 They do not need to have the same resolution, not even the same
 aspect ratio.
 .
 This program will split your PDF page in half, and display the
 left half (intended for the audience) on one monitor (think:
 a notebook's VGA output connected to your university's projector)
 and it will display the right half (intended for you) on the
 second screen.
 Also, on the second screen, you get page thumbnails and status
 information, like the time since you started the presentation
 and a "wall clock".

Package: dspdfviewer-dbg
Section: debug
Priority: extra
Architecture: any
Depends: dspdfviewer (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for dspdfviewer
 dspdfviewer if a specialized PDF viewer for latex-beamer
 presentations using the "shot notes on second screen" feature.
 .
 This package contains the debugging symbols for dspdfviewer.

=== debian/rules ===
#!/usr/bin/make -f


# provide debian version number to the build system
#
# Rationale: dspdfviewer --version embeds the information that this
# is from the debian package. This is useful when users go
# directly to the github-issue-tracker instead of using reportbug.

override_dh_auto_configure:
	dh_auto_configure -- -DDSPDFVIEWER_VERSION="$(shell dpkg-parsechangelog --show-field Version)"

# Also build a debug package
# See https://wiki.debian.org/DebugPackage for an explanation of the
# targets.

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=dspdfviewer-dbg

override_dh_auto_install:
	dh_auto_install --destdir=debian/dspdfviewer

override_dh_installdocs:
	dh_installdocs --link-doc=dspdfviewer

%:
	dh $@

## dspdfviewer 1.15

=== testing/CMakeLists.txt ===
# Test driver library for convenience linking.
add_library(testhelp
	testhelpers
)
# Link this helper library to dspdfviewer's functions
target_link_libraries(testhelp
	libdspdfviewer
	${LIST_TEST_LIBRARIES}
)

list(APPEND PDFFILENAMES
	colored-rectangles.pdf
	images.pdf
	many-many-pages.pdf
)

if(DownloadTestPDF)
	message(WARNING "DownloadTestPDF option has been deprectated, since "
		"prerendered PDFs are now included in the source.  Use the option
		-DUsePrerenderedPDF=ON from now on.")
	set(UsePrerenderedPDF ON)
endif()

if(UsePrerenderedPDF)
	foreach(pdffile IN LISTS PDFFILENAMES)
		file(
			COPY "pdfs/${pdffile}"
			DESTINATION .
			)
		message(STATUS "Using pre-rendered ${pdffile}")
	endforeach()
else()
	# Compile from source
	find_program(PDFLATEX
		NAMES pdflatex
		)
	if( PDFLATEX STREQUAL "PDFLATEX-NOTFOUND")
		message(FATAL_ERROR "Compiling PDFs from source requires pdflatex with latex-beamer installed")
	endif()
	foreach(pdffile IN LISTS PDFFILENAMES)
		# get source file name.
		# replace .pdf with .tex ending,
		# prefix source directory
		# and replace any ~ characters in filename with \\string~
		STRING(REGEX REPLACE "\\.pdf$" ".tex" SOURCEFILENAME ${pdffile})
		SET(SOURCEDIRNAME "${CMAKE_CURRENT_SOURCE_DIR}/pdfs")
		SET(SOURCEFULLPATH "${SOURCEDIRNAME}/${SOURCEFILENAME}")
		STRING(REPLACE "~" "\\\\string~" PDFLATEX_FIXED_DIRNAME ${SOURCEDIRNAME})
		SET(PDFLATEX_FIXED_FILENAME "${PDFLATEX_FIXED_DIRNAME}/${SOURCEFILENAME}")

		add_custom_command(OUTPUT ${pdffile}
			DEPENDS ${SOURCEFULLPATH}
			COMMAND # env TEXINPUTS=${SOURCEDIRNAME}
				${PDFLATEX}
				-interaction=nonstopmode
				-output-directory ${CMAKE_CURRENT_BINARY_DIR}
				${PDFLATEX_FIXED_FILENAME}
				WORKING_DIRECTORY ${SOURCEDIRNAME}
		)

		message(STATUS "Building ${pdffile} from source.")
	endforeach()
endif()

foreach(pdffile IN LISTS PDFFILENAMES)
	list(APPEND PDFTARGETFILES ${CMAKE_CURRENT_BINARY_DIR}/${pdffile})
endforeach()
add_custom_target(testpdfs DEPENDS
	${PDFTARGETFILES}
)


add_dependencies(testhelp testpdfs)

# Allow the programs headers to be found using #include <...>
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/../ )

# Now add actual tests.
add_executable(testrunner
	testrenderonepage.cc
	test-images.cc
	testrunner.cc
	test-thumbnail-cmdline.cc
)

target_link_libraries(testrunner testhelp)

# Clang/G++: Don't promote warnings to errors when building the test suite.
if(CMAKE_COMPILER_IS_GNUCXX)
	set_target_properties(testrunner
		PROPERTIES
			COMPILE_FLAGS "-Wno-error=effc++"
			)
elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" )
	set_target_properties(testrunner
		PROPERTIES
			COMPILE_FLAGS "-Wno-error=global-constructors"
			)
endif()

add_test(NAME BoostTestRunner
	COMMAND testrunner --report_level=detailed
)

# Check whether --version and --help contain
# the version in their output
add_test(NAME TestCommandLineVersion
	COMMAND dspdfviewer --version
)
add_test(NAME TestCommandLineHelp
	COMMAND dspdfviewer --help
)
set_tests_properties(
	TestCommandLineVersion
	TestCommandLineHelp
	PROPERTIES
		PASS_REGULAR_EXPRESSION ${DSPDFVIEWER_VERSION}
)

# Only build and run the swap screen test on Qt5
if(UseQtFive)
	add_executable(testswapscreen
		testswapscreen.cc
		testswapscreen-main.cc
	)
	target_link_libraries(testswapscreen
		testhelp
	)

	if(RunDualScreenTests)
		add_test(NAME testswapscreen
			COMMAND testswapscreen
				--prerender-prev=0
				--prerender-next=0
				images.pdf
		)
		set_tests_properties(testswapscreen
			PROPERTIES
				SKIP_RETURN_CODE 77
		)
	endif()
endif()


# On windows you cannot change the locale on a case-by-case basis.
#
# FIXME: Windows: Discover current locale
# FIXME: Windows: Include the translation test for the current locale

if(NOT WINDOWS)
	add_test(NAME EnglishByDefault
		COMMAND dspdfviewer --help
	)

	set(ENVVARS
		"LC_ALL=C.UTF-8:C"
		"LANGUAGE=C"
	)

	set_tests_properties(EnglishByDefault PROPERTIES
		PASS_REGULAR_EXPRESSION "Interactive Controls"
		ENVIRONMENT "${ENVVARS}"
		)

	# the ENVIRONMENT property was added in 2.8.0
	add_test(NAME GermanWithDeDE
		COMMAND dspdfviewer --help
	)

	set(ENVVARS
		"LC_ALL=de_DE.UTF-8:de_DE"
		"LANGUAGE=de"
	)

	set_tests_properties(GermanWithDeDE PROPERTIES
		PASS_REGULAR_EXPRESSION "Interaktive Tasten"
		ENVIRONMENT "${ENVVARS}"
	)
endif()

=== debian/changelog ===
dspdfviewer (1.15-1) unstable; urgency=medium

  * Import new upstream version 1.15
    * Testsuite temporarily disabled on big-endian, see
      debian bug #816081 for details
  * Drop patches which have been applied upstream
    * Don't link against boost::test
    * Change fullscreen order
  * d/control: Update standards version to 3.9.7 (no changes needed)
  * d/control: Change Vcs-Git URL to https protocol
  * d/control: Update maintainer email address

 -- Danny Edel <debian@danny-edel.de>  Tue, 05 Apr 2016 12:27:03 +0200

dspdfviewer (1.14-2) unstable; urgency=low

  * Build package against qt5
  * Clarify build-depends:
    * Add dependencies on texlive-latex-recommended and latex-beamer
  * add patch: Don't link main binary against boost test
  * add patch: Change fullscreen order
  * No longer build a manual -dbg package, since automatic -dbgsym
    packages are here!

 -- Danny Edel <mail@danny-edel.de>  Sat, 30 Jan 2016 20:39:24 +0100

dspdfviewer (1.14-1) unstable; urgency=medium

  * New upstream version
    * Supports translation (german language file included)

 -- Danny Edel <mail@danny-edel.de>  Tue, 01 Dec 2015 15:51:40 +0100

dspdfviewer (1.13.1-2) unstable; urgency=medium

  * Allow parallel building (Closes: #803655)
  * Remove debian/menu file
  * Move package to collab-maint

 -- Danny Edel <mail@danny-edel.de>  Tue, 03 Nov 2015 10:22:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,22 @@
 Source: dspdfviewer
 Section: text
 Priority: optional
-Maintainer: Danny Edel <mail@danny-edel.de>
+Maintainer: Danny Edel <debian@danny-edel.de>
 Build-Depends: cmake,
                debhelper (>= 9.20120417),
+               libboost-dev,
                libboost-program-options-dev,
-               libpoppler-qt4-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://github.com/dannyedel/dspdfviewer.git
-Vcs-Browser: https://github.com/dannyedel/dspdfviewer
+               libboost-test-dev,
+               libpoppler-qt5-dev,
+               pkg-config,
+               qtbase5-dev,
+               qttools5-dev,
+               qttools5-dev-tools,
+               xauth,
+               xvfb
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dspdfviewer.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dspdfviewer.git
 Homepage: http://dspdfviewer.danny-edel.de
 
 Package: dspdfviewer
@@ -34,14 +42,3 @@
  Also, on the second screen, you get page thumbnails and status
  information, like the time since you started the presentation
  and a "wall clock".
-
-Package: dspdfviewer-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: dspdfviewer (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for dspdfviewer
- dspdfviewer if a specialized PDF viewer for latex-beamer
- presentations using the "shot notes on second screen" feature.
- .
- This package contains the debugging symbols for dspdfviewer.

=== debian/rules ===
#!/usr/bin/make -f

# Enable build hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk


# provide debian version number to the build system
#
# Rationale: dspdfviewer --version embeds the information that this
# is from the debian package. This is useful when users go
# directly to the github-issue-tracker instead of using reportbug.

override_dh_auto_configure:
	dh_auto_configure -- \
		-DDSPDFVIEWER_VERSION=$(shell dpkg-parsechangelog --show-field Version) \
		-DUsePrerenderedPDF=ON

# Run tests inside xvfb, like upstream does in _travis/test script.
override_dh_auto_test:
	xvfb-run -a -s '-screen 0 1920x1080x24 -screen 1 1920x1200x24' \
		dh_auto_test

%:
	dh $@ --parallel

## dspdfviewer 1.15.1

=== CMakeLists.txt ===
# /*
#     dspdfviewer - Dual Screen PDF Viewer for LaTeX-Beamer
#     Copyright (C) 2012  Danny Edel <mail@danny-edel.de>
#
#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.
#
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License along
#     with this program; if not, write to the Free Software Foundation, Inc.,
#     51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
# */
cmake_minimum_required(VERSION 2.8.4 FATAL_ERROR)
if( NOT CMAKE_VERSION VERSION_LESS 2.8.11)
	cmake_policy(SET CMP0020 NEW) # qtmain.lib linkage on windows
endif()
if( NOT CMAKE_VERSION VERSION_LESS 3.1)
	cmake_policy(SET CMP0054 NEW) # dont expand quoted strings in if()s
endif()

project(dspdfviewer)

include(FindPkgConfig)
set(CMAKE_AUTOMOC ON)#
set(CMAKE_AUTORCC OFF)
set(CMAKE_INCLUDE_CURRENT_DIR OFF)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

option(UseQtFive "Build with Qt5 and libpoppler-qt5" ON)
option(UpdateTranslations "Do you want to update the .ts files (WARNING: running make clean will delete them!)" OFF)
option(BuildTests "Build unit tests (this requires pdflatex or internet access and DownloadTestPDFs=ON)" ON)
option(RunDualScreenTests "Also run tests that require two screens to be connected" ON)
option(RunTestsOnBigEndian "Run tests on a big-endian system" OFF)
option(BoostStaticLink "Link statically against the boost libraries" OFF)
option(WindowsStaticLink "Windows/MSVC only: Link statically against the dependencies and set /MT instead of /MD" ON)
option(UsePrerenderedPDF "Use prerendered PDFs included in the source for testing, instead of building with pdflatex" OFF)
option(CodeCoverage "Add coverage analysis code to the program. Will slow it down. A lot. Only supported on GCC right now." OFF)

include(cmake/platforms.cmake)
include(cmake/filelists.cmake)
include(cmake/external_libraries.cmake)
include(cmake/qrc_embedding.cmake)
include(cmake/compilers.cmake)
include(cmake/version_number.cmake)


if( I3WORKAROUND_SHELLCODE )
	add_definitions(-DI3WORKAROUND_SHELLCODE="${I3WORKAROUND_SHELLCODE}")
endif()

include_directories(SYSTEM ${LIST_INCLUDE_DIRS})

### Compile all the source code into one .a file

add_library(libdspdfviewer ${libdspdfviewer_SRCS} ${dspdfviewer_UIS_H} ${TRANSLATIONS})
# Set target name to "libdspdfviewer"
# without a prefix (normally unix would auto-add lib...)
set_target_properties(libdspdfviewer PROPERTIES
	PREFIX ""
	)
target_link_libraries(libdspdfviewer ${LIST_LIBRARIES})

### And link it together with main.cpp to produce an executable
add_executable(dspdfviewer ${dspdfviewer_SRCS} ${EMBEDDED_QRC})
target_link_libraries(dspdfviewer libdspdfviewer)

### ... and link it with the tests to produce a testing executable.
if(BuildTests)
	# Run unit tests regardless of debug/release
	# Set a default timeout to 60 seconds
	set(DART_TESTING_TIMEOUT 60)
	set(CTEST_TEST_TIMEOUT 60)
	# Check for big endian
	include(TestBigEndian)
	TEST_BIG_ENDIAN(BigEndian)
	if( NOT BigEndian OR RunTestsOnBigEndian)
		include(CTest)
		add_subdirectory(testing)
	else()
		message(WARNING "The unit tests have been temporarily disabled on big-endian "
			"systems.  If you want to help in debugging this, please pass "
			"-DRunTestsOnBigEndian=ON to cmake to force their execution.")
	endif()
endif()

#### Installation

install(TARGETS	dspdfviewer
	RUNTIME DESTINATION bin)

install(FILES docs/dspdfviewer.1
	DESTINATION share/man/man1)

install(FILES dspdfviewer.desktop
	DESTINATION share/applications)

=== debian/changelog ===
dspdfviewer (1.15.1-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:13:04 +0000

dspdfviewer (1.15.1-1) unstable; urgency=medium

  * New upstream point release
    * Fixes issue with recent Qt5 where mousewheel would advance
      two slides insted of one

 -- Danny Edel <debian@danny-edel.de>  Thu, 15 Sep 2016 07:43:12 +0200

dspdfviewer (1.15-2) unstable; urgency=medium

  * add patch: fix FTBFS with plus in version number
  * Bump Standards-Version to 3.9.8 (no changes needed)

 -- Danny Edel <debian@danny-edel.de>  Sat, 06 Aug 2016 09:00:20 +0200

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/archive\/v(.+).tar.gz/releases\/download\/v$1\/dspdfviewer-$1.tar.gz.asc/,\
  https://github.com/dannyedel/dspdfviewer/releases \
    /dannyedel/dspdfviewer/archive/v(.+).tar.gz

## dspdfviewer 1.15.1%2Bgit20230427.d432d8d

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Danny Edel <debian@danny-edel.de>
 Build-Depends: cmake,
-               debhelper (>= 9.20120417),
+               debhelper-compat (= 13),
                libboost-dev,
                libboost-program-options-dev,
                libboost-test-dev,
                libpoppler-qt5-dev,
-               pkg-config,
+               pkgconf,
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools,
                xauth,
                xvfb
-Standards-Version: 3.9.7
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dspdfviewer.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dspdfviewer.git
-Homepage: http://dspdfviewer.danny-edel.de
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/debian/dspdfviewer.git
+Vcs-Browser: https://salsa.debian.org/debian/dspdfviewer
+Homepage: https://dspdfviewer.danny-edel.de
+Rules-Requires-Root: no
 
 Package: dspdfviewer
 Architecture: any

## dspdfviewer 1.15.1+git20230427.d432d8d

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,12 +16,15 @@
 #     with this program; if not, write to the Free Software Foundation, Inc.,
 #     51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 # */
-cmake_minimum_required(VERSION 2.8.4 FATAL_ERROR)
-if( NOT CMAKE_VERSION VERSION_LESS 2.8.11)
-	cmake_policy(SET CMP0020 NEW) # qtmain.lib linkage on windows
-endif()
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 if( NOT CMAKE_VERSION VERSION_LESS 3.1)
 	cmake_policy(SET CMP0054 NEW) # dont expand quoted strings in if()s
+endif()
+if( NOT CMAKE_VERSION VERSION_LESS 3.10)
+	cmake_policy(SET CMP0071 NEW) # Also process generated source files with MOC
+endif()
+if( NOT CMAKE_VERSION VERSION_LESS 3.17)
+	cmake_policy(SET CMP0100 NEW) # Allow .hh extension
 endif()
 
 project(dspdfviewer)
@@ -32,7 +35,6 @@
 set(CMAKE_INCLUDE_CURRENT_DIR OFF)
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
-option(UseQtFive "Build with Qt5 and libpoppler-qt5" ON)
 option(UpdateTranslations "Do you want to update the .ts files (WARNING: running make clean will delete them!)" OFF)
 option(BuildTests "Build unit tests (this requires pdflatex or internet access and DownloadTestPDFs=ON)" ON)
 option(RunDualScreenTests "Also run tests that require two screens to be connected" ON)
@@ -41,6 +43,7 @@
 option(WindowsStaticLink "Windows/MSVC only: Link statically against the dependencies and set /MT instead of /MD" ON)
 option(UsePrerenderedPDF "Use prerendered PDFs included in the source for testing, instead of building with pdflatex" OFF)
 option(CodeCoverage "Add coverage analysis code to the program. Will slow it down. A lot. Only supported on GCC right now." OFF)
+option(WarningAsError "Turn on -Werror and similar compiler settings.  This can be useful during development, but is disabled by default for release build scripts." OFF)
 
 include(cmake/platforms.cmake)
 include(cmake/filelists.cmake)
@@ -94,7 +97,7 @@
 install(TARGETS	dspdfviewer
 	RUNTIME DESTINATION bin)
 
-install(FILES docs/dspdfviewer.1
+install(FILES dspdfviewer.1
 	DESTINATION share/man/man1)
 
 install(FILES dspdfviewer.desktop

=== docs/Makefile ===

RELEASE=v1.14

.PHONY: manpage.html

manpage.html:
	( cd ../dspdfviewer && \
	git show master:docs/dspdfviewer.1 ) \
	| groff -mandoc -T html > $@

manpage-release.html:
	( cd ../dspdfviewer && \
	git show $(RELEASE):docs/dspdfviewer.1 ) \
	| groff -mandoc -T html > $@

=== testing/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Test driver library for convenience linking.
 add_library(testhelp
-	testhelpers
+	testhelpers.cc
 )
 # Link this helper library to dspdfviewer's functions
 target_link_libraries(testhelp
@@ -118,27 +118,25 @@
 )
 
 # Only build and run the swap screen test on Qt5
-if(UseQtFive)
-	add_executable(testswapscreen
-		testswapscreen.cc
-		testswapscreen-main.cc
+add_executable(testswapscreen
+	testswapscreen.cc
+	testswapscreen-main.cc
+)
+target_link_libraries(testswapscreen
+	testhelp
+)
+
+if(RunDualScreenTests)
+	add_test(NAME testswapscreen
+		COMMAND testswapscreen
+			--prerender-prev=0
+			--prerender-next=0
+			images.pdf
 	)
-	target_link_libraries(testswapscreen
-		testhelp
+	set_tests_properties(testswapscreen
+		PROPERTIES
+			SKIP_RETURN_CODE 77
 	)
-
-	if(RunDualScreenTests)
-		add_test(NAME testswapscreen
-			COMMAND testswapscreen
-				--prerender-prev=0
-				--prerender-next=0
-				images.pdf
-		)
-		set_tests_properties(testswapscreen
-			PROPERTIES
-				SKIP_RETURN_CODE 77
-		)
-	endif()
 endif()

=== debian/changelog ===
dspdfviewer (1.15.1+git20230427.d432d8d-2) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4
    Closes: #1112858
  * Suggests: s/latex-beamer/texlive-base/
    Closes: #1118990
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Do not parse d/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2025 07:52:32 +0100

dspdfviewer (1.15.1+git20230427.d432d8d-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * Point watch file to latest Git commit
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.

 -- Andreas Tille <tille@debian.org>  Tue, 24 Dec 2024 21:21:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,33 @@
 Source: dspdfviewer
+Standards-Version: 4.7.2
+Maintainer: Danny Edel <debian@danny-edel.de>
 Section: text
 Priority: optional
-Maintainer: Danny Edel <debian@danny-edel.de>
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libboost-dev,
-               libboost-program-options-dev,
-               libboost-test-dev,
-               libpoppler-qt5-dev,
-               pkgconf,
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools,
-               xauth,
-               xvfb
-Standards-Version: 4.7.0
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libboost-dev,
+ libboost-program-options-dev,
+ libboost-test-dev,
+ libpoppler-qt5-dev,
+ pkgconf,
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
+ xauth,
+ xvfb,
+Vcs-Browser: https://salsa.debian.org/debian/dspdfviewer
 Vcs-Git: https://salsa.debian.org/debian/dspdfviewer.git
-Vcs-Browser: https://salsa.debian.org/debian/dspdfviewer
 Homepage: https://dspdfviewer.danny-edel.de
 Rules-Requires-Root: no
 
 Package: dspdfviewer
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: latex-beamer
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ texlive-base,
 Description: Dual-Screen PDF Viewer for LaTeX-beamer
  This is a specialized PDF Viewing application custom-made for
  the LaTeX class beamer, specifically the

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 DPKG_EXPORT_BUILDFLAGS=1
 include /usr/share/dpkg/buildflags.mk
-
+include /usr/share/dpkg/default.mk
 
 # provide debian version number to the build system
 #
@@ -14,8 +14,9 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DDSPDFVIEWER_VERSION=$(shell dpkg-parsechangelog --show-field Version) \
-		-DUsePrerenderedPDF=ON
+		-DDSPDFVIEWER_VERSION=$(DEB_VERSION_UPSTREAM_REVISION) \
+		-DUsePrerenderedPDF=ON \
+		-DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 # Run tests inside xvfb, like upstream does in _travis/test script.
 override_dh_auto_test:
@@ -23,4 +24,4 @@
 		dh_auto_test
 
 %:
-	dh $@ --parallel
+	dh $@

=== debian/watch ===
Version: 5

Source: https://github.com/dannyedel/dspdfviewer.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 1.15.1+git%cd.%h


# opts="pgpsigurlmangle=s/archive\/v(.+).tar.gz/releases\/download\/v$1\/dspdfviewer-$1.tar.gz.asc/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/dannyedel/dspdfviewer/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## dspdfviewer 1.15.1.1+rb2

=== debian/changelog ===
dspdfviewer (1.15.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Danny Edel <debian@danny-edel.de>  Thu, 28 Jan 2021 09:48:50 +0800
